Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface ReportSituation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

All Known Implementing Classes:
  ReportSituationImpl

public interface ReportSituation
extends SituationType

A representation of the model object 'Report Situation'.

The ReportSituation deals with the situations reported from the component, such as heartbeat or performance information. Data such as current CPU utilization, current memory heap size, etc. would fall into this category. Existing messages include words like "utilization value is", "buffer size is", and "number of threads is", for example:

`IEE890I WTO Buffers in console backup storage = 1024`

Since:
  1.0.1

  The following features are supported:

  - `Report Category`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getReportSituation()`

Method Summary
`java.lang.String` | `getReportCategory()` Returns the value of the 'Report Category' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setReportCategory(java.lang.String value)` Sets the value of the '`Report Category`' attribute.

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReportCategory

    public java.lang.String getReportCategory()

  Returns the value of the 'Report Category' attribute.

  Returns:
    the value of the 'Report Category' attribute.
  See Also:
    `setReportCategory(String)`, `EventPackage.getReportSituation_ReportCategory()`

### setReportCategory

    public void setReportCategory(java.lang.String value)

  Sets the value of the '`Report Category`' attribute.

  This property specifies the category of the reported situation. The reportCategory is a string with the following set of values:

  - PERFORMANCE
  - SECURITY
  - HEARTBEAT
  - STATUS
  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Report Category' attribute.
  See Also:
    `getReportCategory()`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `SituationType`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD